Uploaded image for project: 'Snowstorm'
  1. Snowstorm
  2. STORM-1258

[Patch] server 2008 and server 2008 R2 incorrectly identified

    XMLWordPrintableJSON

    Details

    • Type: Defect
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: Viewer 2.4.0, Viewer 2.5.0, Viewer 2.6.0
    • Fix Version/s: Sprint 16
    • Labels:
      None
    • Environment:
      windows server 2008

      Description

      The viewer uses incorrect logic to display the OS version for server 2008 and server 2008 R2 in help -> about. I made corrections in firestorm to correctly display the OS name. While I was at it, I also added support for windows 8 and server 2012.

      Before submitting, I did verify this works in viewer-dev, on revision 15789

      Was: Microsoft Windows Vista Server x64 (or x32)
      Is: Microsoft Server 2008 x64 (or x32)

      Was: Microsoft Windows 7 Server x64
      Is: Microsoft Server 2008 R2 x64
      (*Note: there is no 32bit version of server 2008 R2)

      Windows 8 and server 2012 (Major 6, Minor 2) follow the same pattern as vista (6.0) and windows 7 (6.1)

      See attached patch which is pulled from: http://hg.phoenixviewer.com/phoenix-firestorm-lgpl/rev/6bf2de50ea83

        Attachments

          Activity

            People

            Assignee:
            Unassigned Unassigned
            Reporter:
            tankmaster.finesmith TankMaster Finesmith
            Extended Group Visibility:
            jira-users
            Prod Owner Approved:
            Grumpity ProductEngine Grumpity ProductEngine
            Watchers:
            0 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                PagerDuty